> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# Delete Webhook

DELETE https://api//api/public/webhooks/DeleteWebhook?webhookId=1234

# Delete Webhook

**Endpoint**\
`Delete {{baseUrl}}/api/public/webhooks/DeleteWebhook?webhookId=1234`

**Description**\
This API deletes an existing webhook.

***

## Query Parameters

* **`webhookId`** (`string`): The unique identifier of the webhook to delete. This must be provided as a query parameter.

***

Reference: https://docs.heyreach.io/hey-reach-api/webhooks/delete-webhook

## Request

### Query parameters

- `webhookId` (integer, optional)

### Headers

- `X-API-KEY` (string, optional) — API key header using this scheme. Example: "X-API-KEY: \{API\_KEY}"

## Examples

**SDK Code**

```python
import requests

url = "https://api//api/public/webhooks/DeleteWebhook"

querystring = {"webhookId":"1234"}

headers = {"X-API-KEY": "<string>"}

response = requests.delete(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api//api/public/webhooks/DeleteWebhook?webhookId=1234';
const options = {method: 'DELETE', headers: {'X-API-KEY': '<string>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/webhooks/DeleteWebhook?webhookId=1234"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("X-API-KEY", "<string>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/webhooks/DeleteWebhook?webhookId=1234")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<string>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api//api/public/webhooks/DeleteWebhook?webhookId=1234")
  .header("X-API-KEY", "<string>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api//api/public/webhooks/DeleteWebhook?webhookId=1234', [
  'headers' => [
    'X-API-KEY' => '<string>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/webhooks/DeleteWebhook?webhookId=1234");
var request = new RestRequest(Method.DELETE);
request.AddHeader("X-API-KEY", "<string>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-KEY": "<string>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/webhooks/DeleteWebhook?webhookId=1234")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```